package com.judong.chuanyiserver.enums;

public enum ResultEnum {

    SUCCESS(200, "成功"),

    REQUEST_WRONGPARAMS(400, "参数错误"),
    UNAUTHORIZED(401, "未通过token验证"),
    NO_OPERATION_AUTHORITY(402, "无操作权限"),
    NOT_FOUND(404, "不存在"),
    LOGIN_EXPIRED(405, "登录信息过期，请重新登录"),
    REQUEST_TIME_OUT(408, "请求超时"),

    SERVER_ERROR(500, "服务器出现异常"),
    UNKNOWN_ERROR(502, "未知错误");


    private Integer respCode;
    private String respMsg;

    ResultEnum(Integer respCode, String respMsg) {
        this.respCode = respCode;
        this.respMsg = respMsg;
    }

    public Integer getRespCode() {
        return respCode;
    }

    public void setRespCode(Integer respCode) {
        this.respCode = respCode;
    }

    public String getRespMsg() {
        return respMsg;
    }

    public void setRespMsg(String respMsg) {
        this.respMsg = respMsg;
    }
}
